import { CSSProperties } from 'react';
export declare type HTML_EDITOR_PROPS_TYPE = {
    content: string;
    placeholder?: string;
    style?: CSSProperties;
    className?: string;
    hideH1?: boolean;
    hideH2?: boolean;
    hideH3?: boolean;
    hideH4?: boolean;
    supportHighlight?: boolean;
    supportSourceCode?: boolean;
    readonly?: boolean;
    onChange?: (content: string) => void;
    onReady?: () => void;
    onClickCreateNote?: () => void;
    recordId?: string;
    entityName?: string;
    attributeName?: string;
    highlightColors?: string[];
};
